## rust-listenfd 0.3.3

=== Makefile ===
all: test

doc:
	@cargo doc

test: cargotest

cargotest:
	@cargo test

format-check:
	@cargo fmt -- --write-mode diff

.PHONY: all doc test cargotest format-check

=== debian/changelog ===
rust-listenfd (0.3.3-1) unstable; urgency=medium

  * Package listenfd 0.3.3 from crates.io using debcargo 2.4.0

 -- Marco d'Itri <md@linux.it>  Mon, 30 Dec 2019 00:07:32 +0100

=== debian/control ===
Source: rust-listenfd
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-libc-0.2+default-dev (>= 0.2.40-~~) <!nocheck>,
 librust-uuid-0.8+default-dev <!nocheck> | librust-uuid-0.7+default-dev <!nocheck> | librust-uuid-0.6+default-dev (>= 0.6.3-~~) <!nocheck>,
 librust-winapi-0.3+default-dev (>= 0.3.4-~~) <!nocheck>,
 librust-winapi-0.3+processthreadsapi-dev (>= 0.3.4-~~) <!nocheck>,
 librust-winapi-0.3+winsock2-dev (>= 0.3.4-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Marco d'Itri <md@linux.it>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/listenfd]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/listenfd
Homepage: https://github.com/mitsuhiko/rust-listenfd

# FIXME (packages."(name)".section) debcargo auto-generated summaries are very long, consider overriding

Package: librust-listenfd-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-libc-0.2+default-dev (>= 0.2.40-~~),
 librust-uuid-0.8+default-dev | librust-uuid-0.7+default-dev | librust-uuid-0.6+default-dev (>= 0.6.3-~~),
 librust-winapi-0.3+default-dev (>= 0.3.4-~~),
 librust-winapi-0.3+processthreadsapi-dev (>= 0.3.4-~~),
 librust-winapi-0.3+winsock2-dev (>= 0.3.4-~~)
Provides:
 librust-listenfd+default-dev (= ${binary:Version}),
 librust-listenfd-0-dev (= ${binary:Version}),
 librust-listenfd-0+default-dev (= ${binary:Version}),
 librust-listenfd-0.3-dev (= ${binary:Version}),
 librust-listenfd-0.3+default-dev (= ${binary:Version}),
 librust-listenfd-0.3.3-dev (= ${binary:Version}),
 librust-listenfd-0.3.3+default-dev (= ${binary:Version})
Description: Simple library to work with listenfds passed from the outside (systemd/catflap socket activation) - Rust source code
 This package contains the source for the Rust listenfd crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test listenfd 0.3.3 --all-targets --all-features
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test listenfd 0.3.3 --all-targets --no-default-features
Depends: dh-cargo (>= 18), librust-listenfd-dev
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/listenfd-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/listenfd .*/crates/listenfd/@ANY_VERSION@/download

## rust-listenfd 1.0.0

=== debian/changelog ===
rust-listenfd (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * Package listenfd 1.0.0 from crates.io using debcargo 2.5.0
  * Drop relax-dep.diff no longer needed.
  * Disable example and remove dev-dependency on warp so the autopkgtest
    can run.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 15 Aug 2022 01:31:28 +0000

rust-listenfd (0.3.3-2) unstable; urgency=medium

  * Team upload.
  * Package listenfd 0.3.3 from crates.io using debcargo 2.4.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Apr 2020 14:11:57 +0200

=== debian/control ===
Source: rust-listenfd
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-libc-0.2+default-dev (>= 0.2.40-~~) <!nocheck>,
 librust-uuid-1+default-dev <!nocheck>,
 librust-winapi-0.3+default-dev (>= 0.3.4-~~) <!nocheck>,
 librust-winapi-0.3+processthreadsapi-dev (>= 0.3.4-~~) <!nocheck>,
 librust-winapi-0.3+winsock2-dev (>= 0.3.4-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Marco d'Itri <md@linux.it>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/listenfd]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/listenfd
Homepage: https://github.com/mitsuhiko/rust-listenfd
Rules-Requires-Root: no

# FIXME (packages."(name)".section) debcargo auto-generated summary for librust-listenfd-dev is very long, consider overriding

Package: librust-listenfd-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-libc-0.2+default-dev (>= 0.2.40-~~),
 librust-uuid-1+default-dev,
 librust-winapi-0.3+default-dev (>= 0.3.4-~~),
 librust-winapi-0.3+processthreadsapi-dev (>= 0.3.4-~~),
 librust-winapi-0.3+winsock2-dev (>= 0.3.4-~~)
Provides:
 librust-listenfd+default-dev (= ${binary:Version}),
 librust-listenfd-1-dev (= ${binary:Version}),
 librust-listenfd-1+default-dev (= ${binary:Version}),
 librust-listenfd-1.0-dev (= ${binary:Version}),
 librust-listenfd-1.0+default-dev (= ${binary:Version}),
 librust-listenfd-1.0.0-dev (= ${binary:Version}),
 librust-listenfd-1.0.0+default-dev (= ${binary:Version})
Description: Simple library to work with listenfds passed from the outside (systemd/catflap socket activation) - Rust source code
 This package contains the source for the Rust listenfd crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test listenfd 1.0.0 --all-targets --all-features
Features: test-name=rust-listenfd:@
Depends: dh-cargo (>= 18), librust-hyper-0.14+default-dev (>= 0.14.16-~~), librust-tokio-1+default-dev (>= 1.15.0-~~), librust-tokio-1+full-dev (>= 1.15.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test listenfd 1.0.0 --all-targets 
Features: test-name=librust-listenfd-dev:default
Depends: dh-cargo (>= 18), librust-hyper-0.14+default-dev (>= 0.14.16-~~), librust-tokio-1+default-dev (>= 1.15.0-~~), librust-tokio-1+full-dev (>= 1.15.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test listenfd 1.0.0 --all-targets --no-default-features
Features: test-name=librust-listenfd-dev:
Depends: dh-cargo (>= 18), librust-hyper-0.14+default-dev (>= 0.14.16-~~), librust-tokio-1+default-dev (>= 1.15.0-~~), librust-tokio-1+full-dev (>= 1.15.0-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/listenfd-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/listenfd .*/crates/listenfd/@ANY_VERSION@/download

## rust-listenfd 1.0.2

=== debian/changelog ===
rust-listenfd (1.0.2-1) unstable; urgency=medium

  * Team upload
  * Package listenfd 1.0.2 from crates.io using debcargo 2.7.10
  * Remove disable-demo patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Sep 2025 21:43:08 -0400

=== debian/control ===
Source: rust-listenfd
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-libc-0.2+default-dev (>= 0.2.40-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Marco d'Itri <md@linux.it>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/listenfd]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/listenfd
Homepage: https://github.com/mitsuhiko/listenfd
X-Cargo-Crate: listenfd
Rules-Requires-Root: no

# FIXME (packages."(name)".section) debcargo auto-generated summary for librust-listenfd-dev is very long, consider overriding

Package: librust-listenfd-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-libc-0.2+default-dev (>= 0.2.40-~~)
Provides:
 librust-listenfd+default-dev (= ${binary:Version}),
 librust-listenfd-1-dev (= ${binary:Version}),
 librust-listenfd-1+default-dev (= ${binary:Version}),
 librust-listenfd-1.0-dev (= ${binary:Version}),
 librust-listenfd-1.0+default-dev (= ${binary:Version}),
 librust-listenfd-1.0.2-dev (= ${binary:Version}),
 librust-listenfd-1.0.2+default-dev (= ${binary:Version})
Description: Simple library to work with listenfds passed from the outside (systemd/catflap socket activation) - Rust source code
 Source code for Debianized Rust crate "listenfd"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test listenfd 1.0.2 --all-targets --all-features
Features: test-name=rust-listenfd:@
Depends: dh-cargo (>= 31), rustc, librust-hyper-0.14+default-dev (>= 0.14.16-~~), librust-tokio-1+default-dev (>= 1.15.0-~~), librust-tokio-1+full-dev (>= 1.15.0-~~), librust-warp-0.3+default-dev (>= 0.3.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test listenfd 1.0.2 --all-targets
Features: test-name=librust-listenfd-dev:default
Depends: dh-cargo (>= 31), rustc, librust-hyper-0.14+default-dev (>= 0.14.16-~~), librust-tokio-1+default-dev (>= 1.15.0-~~), librust-tokio-1+full-dev (>= 1.15.0-~~), librust-warp-0.3+default-dev (>= 0.3.2-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test listenfd 1.0.2 --all-targets --no-default-features
Features: test-name=librust-listenfd-dev:
Depends: dh-cargo (>= 31), rustc, librust-hyper-0.14+default-dev (>= 0.14.16-~~), librust-tokio-1+default-dev (>= 1.15.0-~~), librust-tokio-1+full-dev (>= 1.15.0-~~), librust-warp-0.3+default-dev (>= 0.3.2-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/listenfd-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/listenfd .*/crates/listenfd/@ANY_VERSION@/download
